$ErrorActionPreference = 'Stop';

$packageName= 'invantive-data-loader'

$packageArgs = @{
  packageName = $packageName
  fileType = 'MSI'
  url = 'https://download.invantive.com/release/msi/Invantive%20Data%20Loader-17.31.6-BETA.msi'
  url64bit = 'https://download.invantive.com/release/msi/Invantive%20Data%20Loader-17.31.6-BETA.msi'
  softwareName = 'Invantive Data Loader'
  checksum = 'DE3193D5910526667EDE1F894DB4C740C7379EE7AA72EFF98C0E82EAF4704798'
  checksumType = 'sha256'
  checksum64 = 'DE3193D5910526667EDE1F894DB4C740C7379EE7AA72EFF98C0E82EAF4704798'
  checksumType64 = 'sha256'
  silentArgs = "/qn /norestart /l*v `"$env:Temp\invantive-data-loader-17.31.6-msi-install.log`""
  validExitCodes = @(0, 3010, 1641)
}

Install-ChocolateyPackage @packageArgs
